Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Register Class Template Reference

This class implements CosTrading::Register IDL interface. More...

`#include <Trader_Interfaces.h>`

Inheritance diagram for TAO_Register:

[legend]
Collaboration diagram for TAO_Register:

[legend]
List of all members.

## Public Methods
| TAO_Register (TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &trader)
virtual | ~TAO_Register (void)
virtual CosTrading::OfferId | _cxx_export (CORBA::Object_ptr reference, const char *type, const CosTrading::PropertySeq &properties ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::Register::InvalidObjectRef, CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, CosTrading::Register::InterfaceTypeMismatch, CosTrading::IllegalPropertyName, CosTrading::PropertyTypeMismatch, CosTrading::ReadonlyDynamicProperty, CosTrading::MissingMandatoryProperty, CosTrading::DuplicatePropertyName)
virtual void | withdraw (const char *id ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Register::ProxyOfferId)
virtual CosTrading::Register::OfferInfo * | describe (const char *id ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Register::ProxyOfferId)
virtual void | modify (const char *id, const CosTrading::PropertyNameSeq &del_list, const CosTrading::PropertySeq &modify_list ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::NotImplemented, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Register::ProxyOfferId, CosTrading::IllegalPropertyName, CosTrading::Register::UnknownPropertyName, CosTrading::PropertyTypeMismatch, CosTrading::ReadonlyDynamicProperty, CosTrading::Register::MandatoryProperty, CosTrading::Register::ReadonlyProperty, CosTrading::DuplicatePropertyName)
virtual void | withdraw_using_constraint (const char *type, const char *constr ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, CosTrading::IllegalConstraint, CosTrading::Register::NoMatchingOffers)
virtual CosTrading::Register_ptr | resolve (const CosTrading::TraderName &name ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosTrading::Register::IllegalTraderName, CosTrading::Register::UnknownTraderName, CosTrading::Register::RegisterNotSupported)
## Protected Methods
void | validate_properties (const char *type, const CosTradingRepos::ServiceTypeRepository::TypeStruct *type_struct, const CosTrading::PropertySeq &properties ACE_ENV_ARG_DECL) throw (CosTrading::IllegalPropertyName, CosTrading::PropertyTypeMismatch, CosTrading::ReadonlyDynamicProperty, CosTrading::MissingMandatoryProperty, CosTrading::DuplicatePropertyName)
void | operator= (const TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &)
| TAO_Register (const TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > &)
## Private Attributes
TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & | trader_

## Detailed Description

### template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
class TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >

This class implements CosTrading::Register IDL interface.

## Constructor & Destructor Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::TAO_Register | ( | TAO_Trader< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & | trader | ) |

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::~TAO_Register | ( | void |  | ) | `[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::TAO_Register | ( | const TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & |  | ) | `[protected]`

## Member Function Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::OfferId TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::_cxx_export | ( | CORBA::Object_ptr | reference,
|  | const char * | type,
|  | const CosTrading::PropertySeq &properties | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CosTrading::Register::InvalidObjectRef, CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, CosTrading::Register::InterfaceTypeMismatch, CosTrading::IllegalPropertyName, CosTrading::PropertyTypeMismatch, CosTrading::ReadonlyDynamicProperty, CosTrading::MissingMandatoryProperty, CosTrading::DuplicatePropertyName)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::Register::OfferInfo * TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::describe | ( | const char *id | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Register::ProxyOfferId)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::modify | ( | const char * | id,
|  | const CosTrading::PropertyNameSeq & | del_list,
|  | const CosTrading::PropertySeq &modify_list | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CosTrading::NotImplemented, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Register::ProxyOfferId, CosTrading::IllegalPropertyName, CosTrading::Register::UnknownPropertyName, CosTrading::PropertyTypeMismatch, CosTrading::ReadonlyDynamicProperty, CosTrading::Register::MandatoryProperty, CosTrading::Register::ReadonlyProperty, CosTrading::DuplicatePropertyName)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::operator= | ( | const TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE > & |  | ) | `[protected]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
CosTrading::Register_ptr TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::resolve | ( | const CosTrading::TraderName &name | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosTrading::Register::IllegalTraderName, CosTrading::Register::UnknownTraderName, CosTrading::Register::RegisterNotSupported)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::validate_properties | ( | const char * | type,
|  | const CosTradingRepos::ServiceTypeRepository::TypeStruct * | type_struct,
|  | const CosTrading::PropertySeq &properties | ACE_ENV_ARG_DECL
| ) | throw (CosTrading::IllegalPropertyName, CosTrading::PropertyTypeMismatch, CosTrading::ReadonlyDynamicProperty, CosTrading::MissingMandatoryProperty, CosTrading::DuplicatePropertyName)`[protected]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::withdraw | ( | const char *id | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosTrading::IllegalOfferId, CosTrading::UnknownOfferId, CosTrading::Register::ProxyOfferId)`[virtual]`

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
void TAO_Register< TRADER_LOCK_TYPE, MAP_LOCK_TYPE >::withdraw_using_constraint | ( | const char * | type,
|  | const char *constr | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, CosTrading::IllegalServiceType, CosTrading::UnknownServiceType, CosTrading::IllegalConstraint, CosTrading::Register::NoMatchingOffers)`[virtual]`

## Member Data Documentation

template<class TRADER_LOCK_TYPE, class MAP_LOCK_TYPE>
TAO_Trader<TRADER_LOCK_TYPE,MAP_LOCK_TYPE>& TAO_Register::trader_`[private]`

The documentation for this class was generated from the following files:

- Trader_Interfaces.h
- Trader_Interfaces.cpp